using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int zbir = 0;
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int[] a = new int[n];
            int[,] poznanstva = new int[m, 2];
            for (int i = 0; i < n; i++)
              a[i] = int.Parse(Console.ReadLine());
            for (int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split();
                for (int j = 0; j < 2; j++) poznanstva[i, j] = int.Parse(s[j]);
            }
            for (int i = 0; i < m; i++)
            {
                if(Math.Abs(a[poznanstva[i,0]-1])>Math.Abs(a[poznanstva[i,1]-1]))
                    if (a[poznanstva[i, 0] - 1] > 0)
                    {
                        zbir += a[poznanstva[i, 0] - 1];
                        zbir += a[poznanstva[i, 1] - 1];
                    }
                    else
                    {
                        zbir -= a[poznanstva[i, 0] - 1];
                        zbir -= a[poznanstva[i, 1] - 1];
                    }
                else
                    if (a[poznanstva[i, 1] - 1] > 0)
                    {
                        zbir += a[poznanstva[i, 0] - 1];
                        zbir += a[poznanstva[i, 1] - 1];
                    }
                    else
                    {
                        zbir -= a[poznanstva[i, 0] - 1];
                        zbir -= a[poznanstva[i, 1] - 1];
                    }               
            }
            Console.WriteLine(zbir);
        }
    }
}